Bug 233098 - The following options were not recognized by any processor: '[eclipselink.canonicalmodel.use_static_factory]'
The following options were not recognized by any processor: '[eclipselink.can...
Status: REOPENED
Product: java
Classification: Unclassified
Component: Compiler
7.4
PC Windows 7
: P3 with 9 votes (vote)
: TBD
Assigned To: Jan Lahoda
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 22:49 UTC by _ gtzabari
Modified: 2016-05-03 12:21 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The following options were not recognized by any processor (5.93 KB, image/png)
2014-02-10 19:09 UTC, sevstar
Details
Strange warning (240.17 KB, image/png)
2014-05-11 04:41 UTC, csbubbles
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ gtzabari 2013-07-19 22:49:00 UTC
Product Version: NetBeans IDE Dev (Build 201307182300)
Java: 1.7.0_40-ea; Java HotSpot(TM) 64-Bit Server VM 24.0-b52
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-ea-b33
System: Windows 7 version 6.1 running on amd64; Cp1252; en_CA (nb)
User directory: C:\Users\Gili\AppData\Roaming\NetBeans\dev
Cache directory: C:\Users\Gili\AppData\Local\NetBeans\Cache\dev

It looks like bug #204402 was never fixed (or its back).
Comment 1 Jan Lahoda 2013-07-22 09:14:52 UTC
Could you please provide a way to reproduce and reopen? I tried to reproduce (both Maven and J2SE project), but I am apparently doing something wrong, as I was not able to see the problem. Thanks.
Comment 2 _ gtzabari 2013-07-26 17:59:31 UTC
It seems to have something to do with the current project containing compiler errors.

Meaning, if multiple files in the current project contain compiler errors I notice that some of the files experience this issue. But once I fixed the compiler errors and rebuild the problem seems to go away.

I still haven't figured out how to narrow this down further.

What conditions are supposed to cause this warning to appear?
Comment 3 sevstar 2014-02-10 19:09:48 UTC
Created attachment 145000 [details]
The following options were not recognized by any processor

screenshot
Comment 4 sevstar 2014-02-10 19:10:59 UTC
Comment on attachment 145000 [details]
The following options were not recognized by any processor

I have same bug. Project is maven.
Bug is not stable, it may show warning or may not


NetBeans IDE 7.4 (Build 201310111528)
Java: 1.7.0_51; Java HotSpot(TM) Client VM 24.51-b03
Runtime: Java(TM) SE Runtime Environment 1.7.0_51-b13
Comment 5 _ gtzabari 2014-02-10 19:19:20 UTC
It is very difficult to reproduce this bug.

It only seems to occur if the background compiler annotates the project with some compiler errors (note: the project contains compiler errors, not necessarily the file containing the eclipselink warning annotation).

Jan,

Can you please add extra logging inside Netbeans so that when this warning annotation is created, Netbeans logs the stack-trace? This should enable us to figure out what conditions are leading to the creation of this annotation.
Comment 6 trekup 2014-02-18 11:21:40 UTC
I have the same problem. 

To fix the problem: 
1. delete all the local history of the source file;
2. close the source file;
3. reopen the source file.

I hope that this can help to debug the problem.

Product Version: NetBeans IDE 7.4 (Build 201310111528)
Java: 1.7.0_51; Java HotSpot(TM) Client VM 24.51-b03
Runtime: Java(TM) SE Runtime Environment 1.7.0_51-b13
Comment 7 _ gtzabari 2014-02-18 18:30:58 UTC
trekup,

Please give more details on step 1. I assume you shut down Netbeans, deleted some directory (which one?) and restarted Netbeans?

If so, how do you know that restarting Netbeans by itself didn't cause the annotation to go away?
Comment 8 trekup 2014-02-19 09:10:03 UTC
gtzabari,

For the step 1 I intend:
1.1 Pass from "Source View" to "History View" (via menu, View:Editors:History);
1.2 Select from the combo box "Filter" the value "Local";
1.3 Select all items in the below table;
1.4 Click the right mouse button;
1.4 Finally select "Delete from History"

After, I close and reopen the source file, I don't restart NetBeans.
Comment 9 _ gtzabari 2014-02-19 16:49:43 UTC
Interesting. Thanks for the clarification.

I guess we're still waiting on Jan for this issue (either to investigate further or add extra logging to help us figure out what causes this issue).
Comment 10 ralphlevan 2014-03-17 15:13:15 UTC
Those instructions for cleaning up the error message worked.

Thanks!
Comment 11 _ gtzabari 2014-03-17 15:22:37 UTC
Jan,

What can we do to fix this issue outright? Can you add extra logging to help reproduce this on your end?
Comment 12 csbubbles 2014-05-11 04:41:02 UTC
Created attachment 147217 [details]
Strange warning

I've got the same issue.

NetBeans 8, Java 8, MacOS 10.9.2
Maven "war" project with Jersey, PostgreSQL and Apache Commons dependencies.

I am attaching the screenshot.
Comment 13 csbubbles 2014-05-11 04:44:18 UTC
PS It's not for the package definition, by the way, it's just for the 1st line of the file. In my case the package definition is at the second line, but I can see that strange warning still at the first one.
Comment 14 _ gtzabari 2014-05-11 15:46:57 UTC
Jan,

This issue might be caused by changeset http://hg.netbeans.org/main-silver?cmd=changeset;node=7aba89a5a4ca. Based on this code, it looks like Netbeans adds this property even when the EclipseLink annotation process is not active; hence the warning message. What do you think?

csbubbles,

"Version" denotes when this issue was first reported, not when you saw it last. Please leave the field as-is.
Comment 15 csbubbles 2014-05-11 17:38:19 UTC
gtzabari,

I believe the best practice is to keep the issue as much relevant to the current time as possible. It doesn't really matter when (in which product version) the issue has been discovered if the bug continues existing in the latest versions. Also, NetBeans developers might consider the issues active for the latests IDE version as a higher priority, so it will not be much of help keeping the old version (moreover, they can even close the ones filed for older versions as irrelevant anymore).

If you are so much concerned about your initial filing, you can be sure that this information has not gone anywhere, if you open "history" of this ticket, you will see all the changes that have taken place.

PS Sorry for off-topic.
Comment 16 Jan Lahoda 2014-05-11 20:28:56 UTC
csbubbles,

I am sorry, but I think Gili is right: the process, AFAIK, is that Version field should be the oldest version in which the bug existed. For open bugs, AFAIK, the assumption is that they are valid for all versions starting from the one listed in the Version field till the current "trunk", unless stated otherwise.



Regarding the bug, I think this is a small oversight in the way NetBeans does annotation processing. I think the warning is produced in many cases (simply adding a stray annotation processing option in Project Properties should cause this warning to be generated internally), but "normally", the warning is not attributed to a file, and is dropped. But, when a file is being completed as an implicit dependency (reasons for that are currently unknown) in JavaCompiler.complete, the javac's Log may have a source file set, and the warning is then attributed to a file, and will appear in that file. Clearing the Log's source for the duration of the AP in JavaCompiler.complete should suffice to avoid the warning (and would be correct in any case, I think).
Comment 17 _ gtzabari 2014-05-11 21:02:52 UTC
Jan,

Now we're getting somewhere :)

Okay, so aside from clearing the Log's source for the duration of the AP in JavaCompiler.complete, can you also add an assert() for when a file is being completed as an implicit dependency? We can try that for a bit and if no one else runs across this bug for a month we can consider it as fixed.

csbubble,

Knowing what version introduced the bug helps us narrow the list of changesets that could be responsible. I don't think committers use the Version field for scheduling which bugs to fix. I'm guessing selection is based on the issue priority and number votes. All open issues are assumed to occur in the latest version.
Comment 18 amoeba 2014-07-25 19:52:46 UTC
I also see this error occasionally.  Usually after moving a class or classes via refactoring in a Maven project.  The work-around provided by "trekup" works to remove the warning message.
Comment 19 Marian Petras 2015-01-30 09:28:39 UTC
I also get the warning and confirm that it always happens after I move some class to a different package (with refactoring). But the warning may appear on a different class than the moved one.

--
NetBeans IDE 8.0.2 (Build 201411181905)
JDK 1.8.0_31 (64-bit, Server VM)
Windows 7 (64-bit)
Comment 20 asmith2306 2015-04-24 21:04:28 UTC
Hi, I just came across this bug.  It happened when I moved a class (via drag and drop) to a different package and chose to refactor n the popup.
Comment 21 ralphlevan 2016-03-09 15:00:31 UTC
I'm getting this error too.  I let the compiler create a new class for me and then copied everything except the package name from a previous version of the class into the new class.  There was no explicit refactoring.
Comment 22 angelo_fuchs 2016-05-03 12:21:36 UTC
As I never use eclipselink and would thus not care about the error messages, can I somehow deactivate all of the related error messages at once until this bug is fixed?



I have the same issue, with a maven project and I had moved files and methods with refactoring.

Product Version: NetBeans IDE 8.0.2 (Build 201411181905)
Updates: Updates available to version NetBeans 8.0.2 Patch 2
Java: 1.8.0_45; Java HotSpot(TM) 64-Bit Server VM 25.45-b02
Runtime: Java(TM) SE Runtime Environment 1.8.0_45-b15
System: Windows 7 version 6.1 running on amd64; Cp1252; de_DE (nb)
User directory: C:\Users\neuschitzer\AppData\Roaming\NetBeans\8.0
Cache directory: C:\Users\neuschitzer\AppData\Local\NetBeans\Cache\8.0


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo